### A free/open-source library for quantitative finance

Classes | Public Member Functions
GeneralizedHullWhite Class Reference
Short-rate modelling framework

Generalized Hull-White model class. More...

`#include <ql/experimental/shortrate/generalizedhullwhite.hpp>`

Inheritance diagram for GeneralizedHullWhite:
[legend]

List of all members.

## Classes

class | Dynamics
| Short-rate dynamics in the generalized Hull-White model. More...

## Public Member Functions

| GeneralizedHullWhite (const Handle< YieldTermStructure > &yieldtermStructure, const std::vector< Date > &speedstructure, const std::vector< Date > &volstructure)
| GeneralizedHullWhite (const Handle< YieldTermStructure > &yieldtermStructure, const std::vector< Date > &speedstructure, const std::vector< Date > &volstructure, const std::vector< Real > &speed, const std::vector< Real > &vol)
boost::shared_ptr < ShortRateDynamics > | dynamics () const
| returns the short-rate dynamics
boost::shared_ptr< Lattice > | tree (const TimeGrid &grid) const
| Return by default a trinomial recombining tree.

## Detailed Description

Generalized Hull-White model class.

This class implements the standard Black-Karasinski model defined by

where and are piecewise linear functions.